> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bookmark Tweet

> Bookmark a tweet. You must set the login_cookie. You can get the login_cookie from /twitter/user_login_v2. Trial operation price: $0.002 per call.



## OpenAPI

````yaml POST /twitter/bookmark_tweet_v2
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/bookmark_tweet_v2:
    post:
      description: >-
        Bookmark a tweet. You must set the login_cookie. You can get the
        login_cookie from /twitter/user_login_v2. Trial operation price: $0.002
        per call.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - login_cookies
                - tweet_id
                - proxy
              properties:
                login_cookies:
                  type: string
                  description: >-
                    The login cookies of the user. You can get the login_cookie
                    from /twitter/user_login_v2. Must be set
                tweet_id:
                  type: string
                  description: The id of the tweet to bookmark. Must be set
                proxy:
                  type: string
                  description: >-
                    The proxy to use. Please use high-quality residential
                    proxies and avoid free proxies. Required. Example:
                    http://username:password@ip:port
      responses:
        '200':
          description: Bookmark response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the request. success or error
                  message:
                    type: string
                    description: Message of the request. error message
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````